Bug 213057 - Non admin user accesses cluster tab = UnboundLocalError
Non admin user accesses cluster tab = UnboundLocalError
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Corey Marthaler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-30 13:09 EST by Len DiMaggio
Modified: 2009-04-16 18:33 EDT (History)
6 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-11 02:30:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2006-10-30 13:09:47 EST
Description of problem:
If a non-admin user logs into the luci web app and accesses the cluster tab, the
error listed below is displayed.

Version-Release number of selected component (if applicable):
luci-0.8-21.el5
RHEL5-Server-20061027.0

How reproducible:
100%

Steps to Reproduce:
1. Non-admin user successfully logs into luci web app and selects cluster tab
  
Actual results:

This error is displayed:

------------------------------------------
Site error

This site encountered an error trying to fulfill your request. The errors were:

Error Type
    UnboundLocalError
Error Value
    local variable 'cladd' referenced before assignment
Request made at
    2006/10/30 06:29:39.832 US/Central
------------------------------------------

Expected results:
If the user is not authorized to view any clusters, then we should just display
a message 'not authorized, etc.' message.

Additional info:
Comment 1 Ryan McCabe 2006-11-11 02:30:21 EST
fixed in the current version.

Note You need to log in before you can comment on or make changes to this bug.